Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet
Interface FacetFactory

All Known Implementing Classes:
  FacetFactoryImpl

    public interface FacetFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `FacetPackage`

Field Summary
`static FacetFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`Facet` | `createFacet()` Returns a new object of class 'Facet'.
`FacetAttribute` | `createFacetAttribute()` Returns a new object of class 'Attribute'.
`FacetReference` | `createFacetReference()` Returns a new object of class 'Reference'.
`FacetSet` | `createFacetSet()` Returns a new object of class 'Set'.
`Shortcut` | `createShortcut()` Returns a new object of class 'Shortcut'.
`FacetPackage` | `getFacetPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final FacetFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createFacet

    Facet createFacet()

  Returns a new object of class 'Facet'.

  Returns:
    a new object of class 'Facet'.

### createFacetAttribute

    FacetAttribute createFacetAttribute()

  Returns a new object of class 'Attribute'.

  Returns:
    a new object of class 'Attribute'.

### createFacetReference

    FacetReference createFacetReference()

  Returns a new object of class 'Reference'.

  Returns:
    a new object of class 'Reference'.

### createFacetSet

    FacetSet createFacetSet()

  Returns a new object of class 'Set'.

  Returns:
    a new object of class 'Set'.

### createShortcut

    Shortcut createShortcut()

  Returns a new object of class 'Shortcut'.

  Returns:
    a new object of class 'Shortcut'.

### getFacetPackage

    FacetPackage getFacetPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD